# Uses of Enum
org.apache.sling.testing.clients.query.QueryClient.QueryType

Packages that use QueryClient.QueryType
Package
Description
org.apache.sling.testing.clients.query
Query tools leveraging javax.jcr.query

## Uses of QueryClient.QueryType in org.apache.sling.testing.clients.query

Methods in org.apache.sling.testing.clients.query that return QueryClient.QueryType
Modifier and Type
Method
Description
`static QueryClient.QueryType`
QueryClient.QueryType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QueryClient.QueryType[]`
QueryClient.QueryType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.testing.clients.query with parameters of type QueryClient.QueryType
Modifier and Type
Method
Description
`long`
QueryClient.`doCount(String query, QueryClient.QueryType type)`
Executes a query on the server and returns only the number of rows in the result
`com.fasterxml.jackson.databind.JsonNode`
QueryClient.`doQuery(String query, QueryClient.QueryType type)`
Executes a query on the server and returns the results as a json
`protected com.fasterxml.jackson.databind.JsonNode`
QueryClient.`doQuery(String query, QueryClient.QueryType type, boolean showResults, boolean explain)`
`String`
QueryClient.`getPlan(String query, QueryClient.QueryType type)`
Retrieves the plan of the query.